
QGIS Application - Feature request #331

Identify tool doesn't work on editable layer.

2006-10-04 01:51 AM - anonymous -

Status: Closed

Priority: Low

Assignee: Gary Sherman

Category: Digitising

Pull Request or Patch supplied: Resolution: fixed

Easy fix?: No Copied to github as #: 10390

Description

When I edit shapefile, I can activate identify tool for same layer, but it gives no results (clicking on recently added feature does nothing).

If it is a bug (there should be results), it must be fixed.

If it is a "feature", then some feedback has to be given to user (i.e. popup with "sorry, identify tool works only on noneditable layers").

History

#1 - 2006-10-21 07:03 PM - Gavin Macaulay -

A warning message is now displayed when this occurs (commit:ed41853f (SVN r5994)). Being able to edit attributes of a unsaved feature is probably

desirable, so this ticket can become an enhancement against 0.9

#2 - 2008-03-19 07:55 AM - leolami -

I tried it in 0.9.2 and it works.

Can you test it and close if all is rigth?

#3 - 2008-03-20 03:39 AM - leolami -

- Resolution set to fixed

- Status changed from Open to Closed

I close it. If you think it is still valid reopen it, please.

#4 - 2009-08-22 12:54 AM - Anonymous

Milestone Version 0.9.2 deleted
